Last modified: 2009-12-06 11:12:00 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 20549 - Parser tests don't work on SQLite backend
Parser tests don't work on SQLite backend
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Maintenance scripts (Other open bugs)
1.16.x
All All
: Normal normal (vote)
: ---
Assigned To: Max Semenik
:
Depends on:
Blocks: sqlite 20343
  Show dependency treegraph
 
Reported: 2009-09-08 17:00 UTC by Max Semenik
Modified: 2009-12-06 11:12 UTC (History)
0 users

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Max Semenik 2009-09-08 17:00:03 UTC
A database query syntax error has occurred.
The last attempted database query was:
"INSERT  INTO parsertest_interwiki (iw_prefix,iw_url,iw_local) VALUES ('wikipedia','http://en.wikipedia.org/wiki/$1','0')"
from within function "DatabaseSqlite::insert/multi-row".
Database returned error "1: table parsertest_interwiki has no column named iw_prefix"

After the test script fails, the database is left with a bunch of parsertest_* tables, each containing one column called "LIKE" - the syntax "CREATE TABLE parsertest_protected_titles (LIKE protected_titles)" doesn't work here.
Comment 1 Max Semenik 2009-11-06 13:55:56 UTC
Improved the situation a bit in r58631, still fails:
"UPDATE  parsertest_page SET page_touched = '20091106124936' WHERE page_namespace = '1' AND page_title = 'Main_Page'"
from within function "Title::invalidateCache".
Database returned error "5: database is locked"
Comment 2 Max Semenik 2009-12-06 11:12:00 UTC
Fixed in r59755 and r59765.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links